Subject: Seattle Morels

From: [email-masked] (MATTHEWSJX)
Date: 9 May 1995 02:09:35 -0400

I went to the public market this weekend and found beautiful fresh morels
for sale.
The vendor had just purchased a lot from a local picker.  I can attest to
the fact 
that they are delicious! Unfortunately, they were selling for 19+ a pound.
 
They will probably drop to around 13 dollars before the season is through.
 I think those prices are just more incentive to get out there and find
your own feast.  Happy hunting.